package com.xhpc.card.mapper;

import com.xhpc.card.domain.QueryConditions;
import com.xhpc.card.pojo.TIccardInfo;

import java.util.List;

public interface TIccardInfoMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(TIccardInfo record);

    int insertSelective(TIccardInfo record);

    TIccardInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TIccardInfo record);

    int updateByPrimaryKey(TIccardInfo record);

    /**
     * 查询所有卡记录信息
     *
     * @return 所有卡记录信息集合
     * @author WH
     * @date 2022/1/26 15:53
     * @since version-1.0
     */
    List<TIccardInfo> selectAll();

    /**
     * 通过查询条件查询所有卡记录信息
     *
     * @param queryConditions 查询条件
     * @return 符合条件的所有卡记录信息集合
     * @author WH
     * @date 2022/1/27 11:21
     * @since version-1.0
     */
    List<TIccardInfo> selectAllBy(QueryConditions queryConditions);

}